<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.hotelshoppingcat.mapper.HotelShoppingCatMapper">

    <select id="getShoppingCartPage" resultType="org.jeecg.modules.hotelshoppingcat.resp.ShoppingCartPageResp">
        select a.id,b.name,b.pic,c.title,c.price, (select `value` from hotel_conf where name = 'depositPrice' and del_flag = 0) deposit_price,c.original_price,a.num,a.sku_id,a.goods_id
        from hotel_shopping_cat a left join hotel_goods b on a.goods_id = b.id
        left join hotel_goods_sku c on a.sku_id = c.id
        where a.del_flag = 0 and a.user_id = #{userId} order by a.create_time desc
    </select>

</mapper>